using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Runtime.InteropServices.JavaScript;

namespace AcaMate.V1.Models;

[Table("login")]
public class Login
{
    [Key]
    [MaxLength(100)]
    public string sns_id {get; set;}
    [MaxLength(70)]
    public string uid {get; set;}
    [MaxLength(4)]
    public string sns_type {get; set;}
}

[Table("user_academy")]
public class User_Academy
{
    [Key]
    public string uid { get; set; }
    public string bid { get; set; }
    public DateTime register_date { get; set; }
    public bool status { get; set; }
}

[Table("user")]
public class User 
{
    [Key]
    public string uid { get; set; }
    public string name { get; set; }
    public DateTime birth { get; set; }
    public string type { get; set; }
    public string device_id { get; set; }
    public int auto_login_yn { get; set; }
    public DateTime login_date { get; set; }
}


[Table("permission")]
public class Permission
{
    [Key]
    public string uid { get; set; }

    public bool location_yn {get; set;}
    public bool camera_yn {get; set;}
    public bool photo_yn {get; set;}
    public bool push_yn {get; set;}
    public bool market_app_yn {get; set;}
    public bool market_sms_yn {get; set;}
    public bool market_email_yn {get; set;}
}

[Table("token")]
public class Token
{
    [Key]
    public string uid { get; set; }
    public string refresh_token { get; set; }
    public DateTime create_date { get; set; }
    public DateTime expires_date { get; set; }
    public DateTime revoke_date { get; set; }
}

[Table("location")]
public class Location
{
    [Key]
    public string uid { get; set; }
    public string lat { get; set; }
    public string lng { get; set; }
}

[Table("contact")]
public class Contact
{
    [Key]
    public string uid { get; set; }
    public string email { get; set; }
    public string phone { get; set; }
}

// -- -- -- -- -- DB 테이블 -- -- -- -- -- //

public class UserAll
{
    public string uid { get; set; }
    public string name { get; set; }
    public DateTime birth { get; set; }
    public string type { get; set; }
    public string device_id { get; set; }
    public int auto_login_yn { get; set; }
    public DateTime login_date { get; set; }
    
    public string email { get; set; }
    public string phone { get; set; }
    
    public bool location_yn {get; set;}
    public bool camera_yn {get; set;}
    public bool photo_yn {get; set;}
    public bool push_yn {get; set;}
    public bool market_app_yn {get; set;}
    public bool market_sms_yn {get; set;}
    public bool market_email_yn {get; set;}
    
    public string sns_id {get; set;}
    public string sns_type {get; set;}
    public string sns_email {get; set;}
}